.c-dropdown {
  background-color: $white;
  box-shadow: 0 1rem 2.5rem rgba(0, 0, 0, 0.05);
  border-radius: 5rem;
  padding: 2rem 3rem;

  @include md {
    padding: 2rem 5rem;
  }

  &__container {
    display: flex;
    flex-direction: column;
    gap: 1rem 0;
  }

  &__head {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    cursor: pointer;

    @include md {
      &:hover {
        .c-dropdown__head__title {
          color: darken($blue, 10%);
        }

        .c-dropdown__head__icon {
          border: 0.1rem solid darken($blue, 10%);
          color: darken($blue, 10%);
        }
      }
    }

    &__title {
      padding-right: 2rem;
      padding-bottom: 0;
      color: $blue;
      display: -webkit-box;
      line-clamp: 2;
      -webkit-line-clamp: 2;
      -webkit-box-orient: vertical;  
      overflow: hidden;
      transition: all 0.2s ease-in-out;
      
      @include md {
        padding-right: 5rem;
        line-clamp: 3;
        -webkit-line-clamp: 3;
      }
    }

    &__icon {
      display: flex;
      align-items: center;
      justify-content: center;
      flex: 0 0 auto;;
      width: 5rem;
      height: 5rem;
      border: 0.1rem solid $blue;
      border-radius: 50%;
      background-color: transparent;
      color: $blue;
      transform: rotate(90deg);
      transition: all 0.4s ease-in-out;
    }

    &--active {
      .c-dropdown__head__icon {
        transform: rotate(270deg);
      }
    }
  }

  &__content {
    display: block;
    height: 0;
    overflow: hidden;
    transition: height 0.6s ease;

    @include sm {
      max-width: 50.5rem;
    }

    @include md {
      max-width: 67.5rem;
    }

    &::before {
      content: '';
      display: block;
      height: 2rem;
    }
  }
}